Bug 32835 - security update 1.6.3p6-0.6x not recognised as update
security update 1.6.3p6-0.6x not recognised as update
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sudo (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-23 12:35 EST by Paul Jenner
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-23 12:35:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jenner 2001-03-23 12:35:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.17-14 i686; en-US; 0.8)
Gecko/20010217


rpm does not recognise the security update sudo-1.6.3p6-0.6x as an update
to sudo-1.6.3p5-1:

[root@alice /root]# rpm -q sudo
sudo-1.6.3p5-1
[root@alice /root]# rpm -Uvh sudo-1.6.3p6-0.6x.i386.rpm 
Preparing...                ########################################### [100%]
package sudo-1.6.3p5-1 (which is newer than sudo-1.6.3p6-0.6x) is already
installed

Reproducible: Always
Steps to Reproduce:
1.download and install the original package sudo-1.6.3p5-1
2.download the update package sudo-1.6.3p6-0.6x
3.attempt to upgrade to the update pacakge with "rpm -Uvh"
	

Actual Results:  The update package will not install without being forced
to update to an "older" package.

Expected Results:  The update should install as an upgrade.
Comment 1 Bernhard Rosenkraenzer 2001-05-22 14:43:38 EDT
Can't reproduce this.

Note You need to log in before you can comment on or make changes to this bug.